
<a id='ReusableFunctions.jl'></a>

<a id='ReusableFunctions.jl-1'></a>

# ReusableFunctions.jl


Module ReusableFunctions provides automated storage and retrieval of results for Julia function calls.


ReusableFunctions.jl module functions:

<a id='ReusableFunctions.checkhashfilename-Tuple{AbstractString, Any}' href='#ReusableFunctions.checkhashfilename-Tuple{AbstractString, Any}'>#</a>
**`ReusableFunctions.checkhashfilename`** &mdash; *Method*.



Check if a file with a filename based on hash exists


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L77' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.gethashfilename-Tuple{AbstractString, Any}' href='#ReusableFunctions.gethashfilename-Tuple{AbstractString, Any}'>#</a>
**`ReusableFunctions.gethashfilename`** &mdash; *Method*.



Define a filename based on hash


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L70' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.loadresultfile-Tuple{AbstractString}' href='#ReusableFunctions.loadresultfile-Tuple{AbstractString}'>#</a>
**`ReusableFunctions.loadresultfile`** &mdash; *Method*.



Load JLD result file


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L83' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.maker3function-Tuple{Function, AbstractString}' href='#ReusableFunctions.maker3function-Tuple{Function, AbstractString}'>#</a>
**`ReusableFunctions.maker3function`** &mdash; *Method*.



Make a reusable function expecting both regular and keyword arguments


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L120' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.quietoff-Tuple{}' href='#ReusableFunctions.quietoff-Tuple{}'>#</a>
**`ReusableFunctions.quietoff`** &mdash; *Method*.



Make ReusableFunctions not quiet


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L65' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.quieton-Tuple{}' href='#ReusableFunctions.quieton-Tuple{}'>#</a>
**`ReusableFunctions.quieton`** &mdash; *Method*.



Make ReusableFunctions quiet


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L60' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.resetcomputes-Tuple{}' href='#ReusableFunctions.resetcomputes-Tuple{}'>#</a>
**`ReusableFunctions.resetcomputes`** &mdash; *Method*.



Reset computes counter


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L55' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.resetrestarts-Tuple{}' href='#ReusableFunctions.resetrestarts-Tuple{}'>#</a>
**`ReusableFunctions.resetrestarts`** &mdash; *Method*.



Reset restarts counter


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L50' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.saveresultfile-Tuple{AbstractString, Any, Any}' href='#ReusableFunctions.saveresultfile-Tuple{AbstractString, Any, Any}'>#</a>
**`ReusableFunctions.saveresultfile`** &mdash; *Method*.



Save JLD result file


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L95' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.test-Tuple{}' href='#ReusableFunctions.test-Tuple{}'>#</a>
**`ReusableFunctions.test`** &mdash; *Method*.



Test ReusableFunctions


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/c9f8ded021e3a7fb0dc4ab39bbc498efdb677a8a/src/ReusableFunctions.jl#L36' class='documenter-source'>source</a><br>

