# BIGUQ.jl

Module BIGUQ provides advanced techniques for Uncertainty Quantification, Experimental Design and Decision Analysis based on Bayesian Information Gap Decision Theory (BIGDT).

References:

- O’Malley, D., Vesselinov, V.V., A combined probabilistic/non-probabilistic decision analysis for contaminant remediation, Journal on Uncertainty Quantification, SIAM/ASA, 10.1137/140965132, 2014.
- O’Malley, D., Vesselinov, V.V., Bayesian-Information-Gap decision theory with an application to CO2 sequestration, Water Resources Research, 10.1002/2015WR017413, 2015.
- Grasinger, M., O'Malley, D., Vesselinov, V.V., Karra, S., Decision Analysis for Robust CO2 Injection: Application of Bayesian-Information-Gap Decision Theory, International Journal of Greenhouse Gas Control, 10.1016/j.ijggc.2016.02.017, 2016.

Relevant examples:

- [Information Gap Analysis](http://madsjulia.github.io/Mads.jl/Examples/infogap)
- [Decision Analysis](http://madsjulia.github.io/Mads.jl/Examples/bigdt/source_termination)

BIGUQ.jl module functions:

```@autodocs
Modules = [BIGUQ]
Order   = [:function, :macro, :type]
```